Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.bridge.php
Class PHPPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.jboss.portal.portlet.bridge.php.PHPPortlet

All Implemented Interfaces:
  Portlet

    public class PHPPortlet

extends GenericPortlet

PHP Poll Portlet org.jboss.portal.portlet.bridge.php.PHPPortlet defaultPage /index.php text/html VIEW PHP Poll Portlet PHP Poll Portlet

Version:
  $Revision$
Author:
  Thomas Heute

Field Summary
`static java.lang.String` | `ACTION_REQUEST`
`static java.lang.String` | `DEFAULT_PAGE`
`static java.lang.String` | `RENDER_RESULT`
`static java.lang.String` | `REQUESTED_PAGE`

Constructor Summary
`PHPPortlet()`

Method Summary
`void` | `doView(RenderRequest request, RenderResponse response)` Helper method to serve up the mandatory `view` mode.
`void` | `init(PortletConfig portletConfig)` Called by the portlet container to indicate to a portlet that the portlet is being placed into service.
`void` | `processAction(ActionRequest actionRequest, ActionResponse actionResponse)` Called by the portlet container to allow the portlet to process an action request.

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, doEdit, doHelp, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PAGE

    public static java.lang.String DEFAULT_PAGE

### REQUESTED_PAGE

    public static final java.lang.String REQUESTED_PAGE

See Also:
  Constant Field Values

### ACTION_REQUEST

    public static final java.lang.String ACTION_REQUEST

See Also:
  Constant Field Values

### RENDER_RESULT

    public static final java.lang.String RENDER_RESULT

See Also:
  Constant Field Values

Constructor Detail

### PHPPortlet

    public PHPPortlet()

Method Detail

### init

    public void init(PortletConfig portletConfig)
              throws PortletException

  Description copied from class: `GenericPortlet`
  Called by the portlet container to indicate to a portlet that the portlet is being placed into service.

  The default implementation just stores the `PortletConfig` object.

  The portlet container calls the `init` method exactly once after instantiating the portlet. The `init` method must complete successfully before the portlet can receive any requests.

  The portlet container cannot place the portlet into service if the `init` method does one of the following:

  1. it throws a `PortletException`
  2. it does not return within a time period defined by the Web server

  Specified by:
    `init` in interface `Portlet`
  Overrides:
    `init` in class `GenericPortlet`
  Parameters:
    `portletConfig` - a `PortletConfig` object containing the portlet configuration and initialization parameters
  Throws:
    `PortletException` - if an exception has occurred that interferes with the portlet normal operation.
    `UnavailableException` - if the portlet cannot perform the initialization at this time.

### processAction

    public void processAction(ActionRequest actionRequest,
                              ActionResponse actionResponse)
                       throws PortletException

  Description copied from class: `GenericPortlet`
  Called by the portlet container to allow the portlet to process an action request. This method is called if the client request was originated by a URL created (by the portlet) with the `RenderResponse.createActionURL()` method.

  The default implementation throws an exception.

  Specified by:
    `processAction` in interface `Portlet`
  Overrides:
    `processAction` in class `GenericPortlet`
  Parameters:
    `actionRequest` - the action request
    `actionResponse` - the action response
  Throws:
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to process the action at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons

### doView

    public void doView(RenderRequest request,
                       RenderResponse response)
                throws PortletException

  Description copied from class: `GenericPortlet`
  Helper method to serve up the mandatory `view` mode.

  The default implementation throws an exception.

  Overrides:
    `doView` in class `GenericPortlet`
  Parameters:
    `request` - the portlet request
    `response` - the render response
  Throws:
    `PortletException` - if the portlet cannot fulfilling the request
    `UnavailableException` - if the portlet is unavailable to perform render at this time
    `PortletSecurityException` - if the portlet cannot fullfill this request because of security reasons

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD